#!/bin/sh
#
# Simple script for setting up PGPLOT on Linux
# contains a patch for malloc/gcc error

# requires: g77 and perl
# install pgplot 5.2
MACH=`uname -m`
ROOT_SRC=$PWD
echo tar xzf pgplot5.2.tar.gz
gunzip -c pgplot5.2.tar.gz | tar xf -
# add patch for pgdisp/malloc error
cp pgdispd/* pgplot/pgdispd/
cd pgplot
PGPLOT_SRC=$PWD
PGPLOT_DIR="/usr/local/pgplot"; export PGPLOT_DIR
LD_LIBRARY_PATH=$PGPLOT_DIR; export LD_LIBRARY_PATH
mkdir $PGPLOT_DIR
echo cp drivers.list $PGPLOT_DIR/drivers.list
cp drivers.list $PGPLOT_DIR/drivers.list
echo cd $PGPLOT_DIR
cd $PGPLOT_DIR
sed 's/! GIDRIV/  GIDRIV/' drivers.list > drivers1.list
sed 's/! PSDRIV/  PSDRIV/' drivers1.list > drivers2.list
sed 's/! PPDRIV/  PPDRIV/' drivers2.list > drivers3.list
sed 's/! X2DRIV/  X2DRIV/' drivers3.list > drivers4.list
sed 's/! XWDRIV/  XWDRIV/' drivers4.list > drivers5.list
sed 's/! LXDRIV/  LXDRIV/' drivers5.list > drivers.list
\rm drivers?.list
# Assuming default location of perl binary in /usr/local/bin does not work...
#
export PERLBIN=`which perl`
sed 's+^#!/usr/local/bin/perl+#!'$PERLBIN'+' $PGPLOT_SRC/makehtml > $PGPLOT_SRC/makehtml.fixed
cp $PGPLOT_SRC/makehtml.fixed $PGPLOT_SRC/makehtml
chmod a+x $PGPLOT_SRC/makehtml
rm $PGPLOT_SRC/makehtml.fixed

sed 's+^#!/usr/local/bin/perl+#!'$PERLBIN'+' $PGPLOT_SRC/maketex > $PGPLOT_SRC/maketex.fixed
cp $PGPLOT_SRC/maketex.fixed $PGPLOT_SRC/maketex
chmod a+x $PGPLOT_SRC/maketex
rm $PGPLOT_SRC/maketex.fixed

echo $PGPLOT_SRC/makemake $PGPLOT_SRC linux  g77_gcc
$PGPLOT_SRC/makemake $PGPLOT_SRC linux   g77_gcc
if test "`basename /usr/bin/gfortran`" == "gfortran" ; then
    sed 's/g77/gfortran/' makefile > makefile.new
    mv makefile.new makefile
fi
sed 's/-lbsd//' makefile > makefile.new

# On Debian stable make fails without X11R6/lib on lib path
sed 's+-L/usr/X11/lib+-L/usr/X11/lib -L/usr/X11R6/lib -L@prefix/pgplot+' makefile.new > makefile
if test "no" == "no" ; then
rm makefile.new
else
echo Using 64-bit PIC configuration
sed 's/CFLAGC=/CFLAGC=-fPIC /' makefile > makefile.new
sed 's/CFLAGD=/CFLAGD=-fPIC /' makefile.new > makefile
sed 's/FFLAGC=/FFLAGC=-fPIC /' makefile > makefile.new
sed 's/FFLAGD=/FFLAGD=-fPIC /' makefile.new > makefile
# customize for 64-bit machines
sed 's/INTEGER PIXMAP/INTEGER*8 PIXMAP/' $PGPLOT_SRC/drivers/wddriv.f > $PGPLOT_SRC/drivers/wddriv64.f
cp $PGPLOT_SRC/drivers/wddriv64.f $PGPLOT_SRC/drivers/wddriv.f
rm $PGPLOT_SRC/drivers/wddriv64.f
sed 's/INTEGER PIXMAP/INTEGER*8 PIXMAP/' $PGPLOT_SRC/drivers/gidriv.f > $PGPLOT_SRC/drivers/gidriv64.f
cp $PGPLOT_SRC/drivers/gidriv64.f $PGPLOT_SRC/drivers/gidriv.f
rm $PGPLOT_SRC/drivers/gidriv64.f
sed 's/INTEGER PIXMAP/INTEGER*8 PIXMAP/' $PGPLOT_SRC/drivers/ppdriv.f > $PGPLOT_SRC/drivers/ppdriv64.f
sed 's/INTEGER\*8 PIXMAP(/INTEGER PIXMAP(/' $PGPLOT_SRC/drivers/ppdriv64.f > $PGPLOT_SRC/drivers/ppdriv.f
rm $PGPLOT_SRC/drivers/ppdriv64.f
fi
echo make; make cpg
make
echo make cpg
make cpg
echo make pgplot.html
rm pgplot.html pgplot-routines.tex
make pgplot.html
echo make pgplot-routines.tex
make pgplot-routines.tex
echo make clean
make clean
echo create links in /usr/local/bin
# create links
ln -sf $PGPLOT_DIR/pgdisp /usr/local/bin/pgdisp
ln -sf $PGPLOT_DIR/pgxwin_server /usr/local/bin/pgxwin_server
ln -sf $PGPLOT_DIR/libpgplot.so /usr/lib/libpgplot.so

# install F77
cd $ROOT_SRC
echo tar xzf ExtUtils-F77-1.16.tar.gz
gunzip -c ExtUtils-F77-1.16.tar.gz | tar xf -
cd ExtUtils-F77-1.16
echo perl Makefile.PL\; make\; make install
perl Makefile.PL PREFIX=/usr/local
make
make install

# install perl-PGPLOT
cd $ROOT_SRC
echo tar xzf PGPLOT-2.20.tar.gz
gunzip -c PGPLOT-2.20.tar.gz | tar xf -
cd PGPLOT-2.20
echo perl Makefile.PL\; make\; make install
perl Makefile.PL PREFIX=/usr/local
make
make install

cd $ROOT_SRC
# end of pgplot install script
